Symantec Veritas Enterprise Administrator Service (vxsvc) Multiple Integer Overflows (SYM11-010)

Critical Nessus Plugin ID 55983


The remote host contains an administrator service that is affected by multiple integer overflow vulnerabilities.


Symantec Veritas Enterprise Administrator Service (vxsvc), a component of Veritas Storage Foundation, is installed on the remote Windows host. According to its version number, the installed version of Symantec Veritas Enterprise Administrator service is affected by multiple integer overflow vulnerabilities in the following functions :

- vxveautil.value_binary_unpack

- vxveautil.value_binary_unpack

- vxveautil.kv_binary_unpack

A remote, unauthenticated attacker, exploiting these flaws, could execute arbitrary code on the remote host subject to the privileges of the user running the affected application.


Apply the relevant patch from the Symantec advisory.

See Also

Plugin Details

Severity: Critical

ID: 55983

File Name: veritas_storage_foundation_vxsvc_multiple_vulns.nasl

Version: $Revision: 1.11 $

Type: local

Agent: windows

Family: Windows

Published: 2011/08/25

Modified: 2016/08/16

Dependencies: 10456, 13855

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:veritas:enterprise_administrator, cpe:/a:symantec:veritas_storage_foundation

Required KB Items: SMB/Registry/Enumerated

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2011/08/15

Vulnerability Publication Date: 2011/08/15

Reference Information

CVE: CVE-2011-0547

BID: 49014

OSVDB: 74919, 74920, 97853

IAVB: 2011-B-0108